package allowed_image

import (
	"cloud.o-forge.io/core/oc-lib/logs"
	"cloud.o-forge.io/core/oc-lib/models/utils"
	"cloud.o-forge.io/core/oc-lib/tools"
)

type allowedImageMongoAccessor struct {
	utils.AbstractAccessor[*AllowedImage]
}

func NewAccessor(request *tools.APIRequest) *allowedImageMongoAccessor {
	return &allowedImageMongoAccessor{
		AbstractAccessor: utils.AbstractAccessor[*AllowedImage]{
			Logger:         logs.CreateLogger(tools.ALLOWED_IMAGE.String()),
			Request:        request,
			Type:           tools.ALLOWED_IMAGE,
			New:            func() *AllowedImage { return &AllowedImage{} },
			NotImplemented: []string{"CopyOne"},
		},
	}
}
